<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_4d707fab93be" . "bb00bbe69e815" . "9697c90" => base64_decode(""), "_363581c117f38db6" . "a8c5ce1e95bae8c4" => base64_decode("dXNlci5k" . "aXJlY3Rv" . "cnk="));
use Claromentis\Core\User\Directory\UsersDirectoryInterface;





class UsersDirectory
{
    const USERID_AUTO = 0;
    
    
    
    
    
    
    
    protected static function GetAccessor()
    {
        global $g_application;
        return $g_application[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_363581c117f38db6a8c5ce1e95bae8" . "c4"]];
    }
    public static function Enabled()
    {
        return self::GetAccessor()->Enabled();
    }
    
    
    
    
    
    
    
    
    public static function ControlsPassword(User $_24e0e36600d6af77406a44bb618a6253)
    {
        if ($_24e0e36600d6af77406a44bb618a6253->GetExtType() == $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4d707fab93bebb00b" . "be69e8159697c90"]) {
            return false;
        }
        $_5fa340b0290d39311d1767523cb84ace = self::GetAccessor();
        return $_5fa340b0290d39311d1767523cb84ace->UserBelongs($_24e0e36600d6af77406a44bb618a6253);
    }
}